Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 18 Apr 2021 14:36:55 +0200

Stefan Kangas <[email-masked]> writes:

> I'm personally fine with that, but I suspect it would be controversial
> as it would leave us with no way of beeping (visual or otherwise).

You get a message in the echo area...

As somebody else noted earlier, if you have visible-bell on, but use
"-nw", that's the only notification you get -- there's no visible bell
on the console.  So you could say that there's some precedence for using
just the echo area as the only notification mechanism (beyond apparently
all the popular Emacs distributions doing exactly that).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no